from __future__ import annotations

from dataclasses import dataclass
from typing import Generic, TypeVar

O = TypeVar("O")


@dataclass
class NodeOutput(Generic[O]):
    """Output from a node in the graph."""

    value: O
